Summary: Kawa scheme implementation
Name: kawa

Version: 1.8
%define nversion 1.8
%define dversion 1.8

Release: 11%{?dist}
License: GPL
Group: Development/Languages
URL: http://www.gnu.org/software/kawa/
Source0: %{name}-%{nversion}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{nversion}-%{release}-root
BuildPrereq: gcc-java >= 4.1.0
Requires: libgcj >= 4.1.0
BuildRequires:    texinfo
BuildRequires:    groff
BuildRequires:    readline-devel
BuildRequires:    ant >= 1.6
BuildRequires:    ncurses-devel
BuildRequires:    antlr
BuildRequires:    servletapi5
Requires:         servletapi5
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
Epoch: 1

%description
Kawa is an implementation of the Scheme programming language.  It is
implemented in Java, and compiles Scheme into Java byte-codes.  It
also includes an XQuery implementation, accessible via the qexo
script.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{dversion}

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --enable-kawa-frontend
export CLASSPATH=$(build-classpath servletapi5 antlr)
ant

# Override the Makefile for generating kawa.1, since it should be
# unformatted man page source.
cp doc/kawa.man doc/kawa.1

%install
rm -rf $RPM_BUILD_ROOT
make install install-javadoc-html JAVA=/usr/bin/java DESTDIR=$RPM_BUILD_ROOT JAVADOC_DIR=$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT/usr/share/info/dir
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
aot-compile-rpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/kawa.info.gz %{_infodir}/dir
%{_bindir}/rebuild-gcj-db

%postun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/kawa.info.gz %{_infodir}/dir
fi
%{_bindir}/rebuild-gcj-db

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/*
%{_datadir}/java/*
%{_libdir}/gcj/*
%{_mandir}/man1/kawa.1*
%{_mandir}/man1/qexo.1*
%{_infodir}/kawa*

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Thu Oct 05 2006 Anthony Green <green@redhat.com> - 1:1.8-11
- Add antlr to classpath for gjdoc.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.8-10
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Anthony Green <green@redhat.com> - 1:1.8-9
- Fix release tag.

* Mon Sep 18 2006 Anthony Green <green@redhat.com> - 1:1.8-8.2
- Rebuild.

* Wed Aug 30 2006 Anthony Green <green@redhat.com> - 1:1.8-8.1
- Rebuild with new aot-compile-rpm

* Mon Jul 31 2006 Anthony Green <green@redhat.com> - 1:1.8-8
- Add ncurses-devel BuildRequires.

* Tue Jul 25 2006 Anthony Green <green@redhat.com> - 1:1.8-7
- Rebuild with new compiler.

* Wed Jul 19 2006 Anthony Green <green@redhat.com> - 1:1.8-6
- Rebuild with new compiler.

* Thu Feb  9 2006 Anthony Green <green@redhat.com> - 1:1.8-5
- Add groff build requirement for man page processing.

* Thu Feb  9 2006 Anthony Green <green@redhat.com> - 1:1.8-4
- Rebuild with new 4.1 compiler (post ABI change).

* Wed Nov 14 2005 Anthony Green <green@redhat.com> - 1:1.8-3
- Rebuild with GCC 4.1.

* Sat Oct  8 2005 Anthony Green <green@redhat.com> - 1:1.8-1
- Upgrade to 1.8.
- Add qexo man page.
- Use an epoch because previous releases had bad names that confuse RPM.  My bad.

* Wed Sep 28 2005 Anthony Green <green@redhat.com> - 1.8rc2-1
- Upgrade to 1.8 rc2.

* Sun Sep 11 2005 Anthony Green <green@redhat.com> - 1.8beta-5
- Remove Requires for realine.  This is handled automagically.
- Remove ldconfig.

* Sun Sep 11 2005 Anthony Green <green@redhat.com> - 1.8beta-4
- Install unformatted man page source.
- Remove BuildRequires groff.
- Force kawa binary to use /usr/bin/java.
- Add javadoc package.
- Happy birthday, spec file!

* Sat Sep 10 2005 Anthony Green <green@redhat.com> - 1.8beta-3
- Add BuildRequires for groff and readline-devel.
- Add Requires for readline.
- Configure with --enable-kawa-frontend.

* Sat Sep 10 2005 Anthony Green <green@redhat.com> - 1.8beta-2
- Add BuildRequires for ant, texinfo and servletapi5.
- Add Requires for servletapi5.
- Add servletapi5.jar to classpath.

* Wed Sep  7 2005 Anthony Green <green@redhat.com> - 1.8beta-1
- Updgrade to 1.8beta

* Sat Sep  7 2005 Anthony Green <green@redhat.com> - 1.7-2
- Build for Fedora Extras.

* Sat Sep 11 2004 Anthony Green <green@spindazzle.org> - 1.7-1
- Initial build.

